Subject: bug#50480: (current-guix) does not build

From: Dhruvin Gandhi <[email-masked]>
Date: Wed, 08 Sep 2021 22:09:51 +0530

During a conversation with maximed on irc, they suggested I could
possibly use (current-guix) to package latest guix with a VM image I was
creating for sourcehut builder.

I tried building (current-guix) with latest guix (after guix pull) as
well as tried building it with ./pre-install-env guix form a local guix
checkout (after git pull on master).

It did not build. Here are build logs:
https://paste.sr.ht/~dhruvin/0cd1993a8360bc5b69dd5aecb1fd62a637b4999e

The source does not seem to contain tests directory. When
'disable-failing-tests' phase tries to modify
'tests/syscalls.scm.XXXXXX' it fails, causing the build to fail too.

Let me know if there's anything I can do.